SELECT 
			email_address,
			o.order_id,
			SUM((item_price - discount_amount) * quantity) AS order_total
		FROM
			customers c
				JOIN
			orders o ON c.customer_id = o.customer_id
				JOIN
			order_items oi ON o.order_id = oi.order_id
		GROUP BY email_address , order_id 
       