SELECT 
    product_name, discount_percent
FROM
    products
WHERE
    discount_percent NOT IN (SELECT 
            discount_percent
        FROM
            products
        GROUP BY discount_percent
        HAVING COUNT(discount_percent) > 1)
ORDER BY product_name;

/* question 5, alternative solution */
SELECT 
    product_name, discount_percent
FROM
    products p
WHERE
    discount_percent NOT IN (SELECT DISTINCT
            discount_percent
        FROM
            products
        WHERE
            product_id != p.product_id)
ORDER BY product_name;