SELECT 
    c.email_address, 
    COUNT(DISTINCT oi.product_id) AS number_of_products
FROM
    customers c
        JOIN
    orders o ON c.customer_id = o.customer_id
        JOIN
    order_items oi ON o.order_id = oi.order_id
GROUP BY c.email_address
HAVING number_of_products > 1
ORDER BY c.email_address asc;